Package org.codehaus.groovy.classgen.asm

# Class MethodPointerExpressionWriter

java.lang.Object
org.codehaus.groovy.classgen.asm.MethodPointerExpressionWriter

Direct Known Subclasses:
  `MethodReferenceExpressionWriter`

public class MethodPointerExpressionWriter extends Object
Generates bytecode for method pointer expressions.

Since:
  3.0.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final WriterController`
  `controller`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MethodPointerExpressionWriter(WriterController controller)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `writeMethodPointerExpression(MethodPointerExpression pointerOrReference)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### controller

    protected final WriterController controller

- ## Constructor Details

  - ### MethodPointerExpressionWriter

    public MethodPointerExpressionWriter(WriterController controller)

- ## Method Details

  - ### writeMethodPointerExpression

    public void writeMethodPointerExpression(MethodPointerExpression pointerOrReference)